Package io.dapr.client.domain

# Class AppConnectionPropertiesMetadata

java.lang.Object
io.dapr.client.domain.AppConnectionPropertiesMetadata

public final class AppConnectionPropertiesMetadata extends Object
AppConnectionPropertiesMetadata describes the application connection properties.

## Constructor Summary

Constructors
Constructor
Description
`AppConnectionPropertiesMetadata(int port, String protocol, String channelAddress, int maxConcurrency, AppConnectionPropertiesHealthMetadata health)`
Constructor for a AppConnectionPropertiesMetadata.

## Method Summary

Modifier and Type
Method
Description
`String`
`getChannelAddress()`
`AppConnectionPropertiesHealthMetadata`
`getHealth()`
`int`
`getMaxConcurrency()`
`int`
`getPort()`
`String`
`getProtocol()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AppConnectionPropertiesMetadata

public AppConnectionPropertiesMetadata(int port, String protocol, String channelAddress, int maxConcurrency, AppConnectionPropertiesHealthMetadata health)
Constructor for a AppConnectionPropertiesMetadata.

Parameters:
  `port` - of the application
  `protocol` - of the application
  `channelAddress` - host address of the application
  `maxConcurrency` - number of concurrent requests the app can handle
  `health` - health check details of the application

## Method Details

### getPort

public int getPort()

### getProtocol

public String getProtocol()

### getChannelAddress

public String getChannelAddress()

### getMaxConcurrency

public int getMaxConcurrency()

### getHealth

public AppConnectionPropertiesHealthMetadata getHealth()